List all markets
curl --request GET \
--url https://api-sandbox.circle.com/v1/borrow/markets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/borrow/markets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/borrow/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "d24e8f01-2345-6789-abcd-ef0123456789",
"protocol": "morpho",
"displayName": "cirBTC / USDC (Morpho Blue)",
"marketId": "0x3a85e6f1c2d3b4a596877869504132e1d0c9b8a7766554433221100ffeeddccbb",
"lltv": "0.86",
"maxOriginationLtv": "0.80",
"borrowApy": "0.0542",
"borrowAsset": "USD",
"collateralAsset": "CIRBTC",
"oraclePrice": "67234.512345",
"marketDataUpdateDate": "2026-06-24T12:00:00.000Z",
"isActive": true
}
]
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 3,
"message": "Forbidden"
}List all markets
Returns the allowlisted lending markets available to you, including current rates and LTV parameters.
GET
/
v1
/
borrow
/
markets
List all markets
Was this page helpful?